Forum Index

 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

Offline Installation fails on Eclipse 3.5

 
Post new topic   Reply to topic     Forum Index -> Support
View previous topic :: View next topic  
Author Message
theschaeft



Joined: 22 Dec 2009
Posts: 1

PostPosted: Tue Dec 22, 2009 12:28 pm    Post subject: Offline Installation fails on Eclipse 3.5 Reply with quote

Hello,

I want to install eUML2-Free Edition 3.4. I downloaded the files for the offline installation (eUML2-Free-Edition-3.4.0.20091120+dependencies_for_eclipse3.5.zip) and I followed the installations instructions on your page
http://www.soyatec.com/euml2/installation/offline.php#offline


The installation in eclipse starts but fails at 100% with the follwoing message:

Cannot complete the install because one or more required items could not be found.
Software currently installed: eUML2 Free Edition 3.4.0.20091121 (com.soyatec.euml2.free.feature.group 3.4.0.20091121)
Missing requirement: Modeling toolset 2.5.0.20091121 (org.soyatec.tools.modeling 2.5.0.20091121) requires 'bundle org.eclipse.gmf.runtime.emf.ui.properties 0.0.0' but it could not be found
Cannot satisfy dependency:
From: eUML2 Free Edition 3.4.0.20091121 (com.soyatec.euml2.free.feature.group 3.4.0.20091121)
To: org.soyatec.tools.modeling [2.5.0.20091121]

What is wrong?

Kind regards,
Sascha
Back to top
View user's profile Send private message
spotr



Joined: 02 Nov 2009
Posts: 2

PostPosted: Tue Dec 29, 2009 11:26 pm    Post subject: Reply with quote

Hey,

I'm having the same problem, no matter if I try online or offline installation. Sad Both appear to be slightly different installations anyway, 20091120 vs 20091122?

Any ideas out there? Would be great!

Cheers,
Chris
Back to top
View user's profile Send private message
aaquino



Joined: 31 Dec 2009
Posts: 1

PostPosted: Thu Dec 31, 2009 1:06 pm    Post subject: Reply with quote

me too in a clean eclipse


Cannot complete the install because one or more required items could not be found.
Software currently installed: eUML2 Free Edition 3.4.0.20091122 (com.soyatec.euml2.free.feature.group 3.4.0.20091122)
Missing requirement: Modeling toolset 2.5.0.20091122 (org.soyatec.tools.modeling 2.5.0.20091122) requires 'bundle org.eclipse.gmf.runtime.common.ui.services.dnd 0.0.0' but it could not be found
Cannot satisfy dependency:
From: eEMF Modeler 3.4.0.20091122 (com.soyatec.eemf 3.4.0.20091122)
To: bundle org.soyatec.tools.modeling 0.0.0
Cannot satisfy dependency:
From: eUML2 Free Edition 3.4.0.20091122 (com.soyatec.euml2.free.feature.group 3.4.0.20091122)
To: com.soyatec.eemf [3.4.0.20091122]
OK


spotr wrote:
Hey,

I'm having the same problem, no matter if I try online or offline installation. Sad Both appear to be slightly different installations anyway, 20091120 vs 20091122?

Any ideas out there? Would be great!

Cheers,
Chris
Back to top
View user's profile Send private message
kittivong



Joined: 04 Jan 2010
Posts: 1

PostPosted: Mon Jan 04, 2010 6:30 am    Post subject: Install missing GMF Reply with quote

I got same problem. It needs specific GMF installed but I can't download and install GMF manually then if you got same problem like me try download and use

Eclipse Modeling Tools (includes Incubating components) (371 MB)
http://www.eclipse.org/downloads/

instead this will have all dependency package needs for eUML2


http://kittivong.wordpress.com/2010/01/04/euml2-free-edition-with-galileo/
Hope this help,[/url]
Back to top
View user's profile Send private message
yves.yang
Site Admin


Joined: 04 Aug 2006
Posts: 462

PostPosted: Tue Feb 02, 2010 4:56 pm    Post subject: Re: Install missing GMF Reply with quote

Hi All,

Sorry for this inconvenience. Definitively, we need to investigate this issue. Unfortunately, we are so busy to prepare EclipseCon 2010. I promise we will look at it immediately after this event.

Best regards
Yves YANG
Back to top
View user's profile Send private message Send e-mail Visit poster's website
ericford



Joined: 23 Apr 2010
Posts: 1

PostPosted: Fri Apr 30, 2010 3:24 pm    Post subject: Problems with eUML2 on Eclipse 3.5.1 Reply with quote

Any movement on this? I'm trying to build a case for my company to purchase some licenses for the professional edition but it's hard to be convincing of the need/capability when I can't even get it to install.
Back to top
View user's profile Send private message
yves.yang
Site Admin


Joined: 04 Aug 2006
Posts: 462

PostPosted: Fri Apr 30, 2010 3:33 pm    Post subject: Re: Problems with eUML2 on Eclipse 3.5.1 Reply with quote

In fact, we have looked at this issue. The problem depends on the eclipse update repository, which doesn't work well in automatic mode from time to time. In this case, you can select manually GMF component to complete the installation.

The procedure is :
1. Add eUML2 update site
2. Select "All Available Sites"
3. Select eUML option AND GMF component under Modeling category
4. Click on Finish button

Best regards
Yves YANG
Back to top
View user's profile Send private message Send e-mail Visit poster's website
17068295



Joined: 17 Jun 2010
Posts: 1

PostPosted: Fri Jun 18, 2010 2:32 am    Post subject: Re: Problems with eUML2 on Eclipse 3.5.1 Reply with quote

yves.yang wrote:
In fact, we have looked at this issue. The problem depends on the eclipse update repository, which doesn't work well in automatic mode from time to time. In this case, you can select manually GMF component to complete the installation.

The procedure is :
1. Add eUML2 update site
2. Select "All Available Sites"
3. Select eUML option AND GMF component under Modeling category
4. Click on Finish button

Best regards
Yves YANG


good idea
Back to top
View user's profile Send private message
probstr



Joined: 15 Dec 2010
Posts: 1

PostPosted: Thu Dec 16, 2010 8:34 am    Post subject: eUML and Eclipse Galileo (3.5.1) Reply with quote

I have a similar fault by installing the eUML. Here the message

Cannot complete the install because one or more required items could not be found.
Software being installed: eUML2 Free Edition 3.4.0.20091122 (com.soyatec.euml2.free.feature.group 3.4.0.20091122)
Missing requirement: eUML2 Free Edition 3.4.0.20091122 (com.soyatec.euml2.free.feature.group 3.4.0.20091122) requires 'org.eclipse.uml2.feature.group [3.0.0.v200906011111,4.0.0)' but it could not be found

Remark: yesterday EMF-PlugIn was missing! Why is there now an other package required?

thanks
Back to top
View user's profile Send private message Send e-mail
debraoo69



Joined: 23 Apr 2014
Posts: 12
Location: Mechanicsville, ia

PostPosted: Sat Apr 26, 2014 9:48 am    Post subject: Hentai blog Reply with quote

Mod hentai manga photo blog :
http://anime.sexblog.pw/?maci
Back to top
View user's profile Send private message Send e-mail
Display posts from previous:   
Post new topic   Reply to topic     Forum Index -> Support All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum